package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageQuery;

/**
 * @Author Gwl·Q
 * @ClassName OrderUserRelationQuery
 * @Date 2020/10/20 9:50 AM
 */
public class OrderUserRelationQuery extends BasePageQuery {

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 主订单ID
     */
    private Long rootId;

    /**
     * 是否主订单
     * 0：是
     * 1：否
     */
    private Integer isRoot;

    /**
     * 排除用户ID
     */
    private Long excludeUserId;

    public Long getExcludeUserId() {
        return excludeUserId;
    }

    public void setExcludeUserId(Long excludeUserId) {
        this.excludeUserId = excludeUserId;
    }

    public Integer getIsRoot() {
        return isRoot;
    }

    public void setIsRoot(Integer isRoot) {
        this.isRoot = isRoot;
    }

    public Long getRootId() {
        return rootId;
    }

    public void setRootId(Long rootId) {
        this.rootId = rootId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
